stages:
    - build
    - deploy
build:
    stage: build
    script:
        - docker --version
        - docker build -t pyapp .
    tags:
        - ec2
        - server
deploy:
    stage: deploy
    script:
        - docker run -d --name pythoncontainer -p 80:8080 pyapp
    tags:
        - ec2
        - server